#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>
#import "MYQuickLookController.h"

@interface MYTableView : NSTableView {
	IBOutlet MYQuickLookController* quickLookController;
	
	BOOL __inremove;
	BOOL __inkeydown;
	BOOL __infirst_mouse;
	BOOL support_remove;
	BOOL support_reorganize;
	BOOL first_mouse;
}

@property (assign) NSInteger rowBackgroundStyle;
@property (assign) IBOutlet NSMenu* sortByMenu;
@property (assign) IBOutlet NSMenu* columnsMenu;

- (IBAction) showColumnsMenu:(id)sender;
- (IBAction) showSortByMenu:(id)sender;

- (IBAction) selectNext:(id) sender;
- (IBAction) selectPrevious:(id) sender;
- (IBAction) selectNone:(id) sender;
- (IBAction) togglePreviewPanel:(id) sender;
@end
